import * as React from 'react';
import { DisplayTableProps } from './interface';
export default class<T> extends React.PureComponent<DisplayTableProps<T>> {
    rowKey: string;
    delKey: string;
    objName: string;
    sorter: {};
    param: {
        start_: number;
        count_: number;
    };
    state: {
        list: any[];
        pageSize: number;
        total: number;
        current: number;
        loading: boolean;
    };
    componentDidMount(): void;
    private transateList;
    private _query;
    _updateTable(param?: any): void;
    cleanAndQuery: (param: any) => void;
    query: (param: any) => void;
    clear: () => void;
    add: (param: any, callBack?: Function) => Promise<void>;
    delete: (ids: string, callBack?: Function) => Promise<void>;
    update: (param: any, callBack?: Function) => Promise<void>;
    componentDidUpdate(old: any): void;
    search(pagination: any, filters: any, sorter: any): void;
    render(): JSX.Element;
}
